Name:		eggdrop
Version:	1.10.0
Release:	%mkrel 2
Summary:	IRC bot, written in C
Group:		Networking/IRC
License:	GPLv2+
URL:		https://www.eggheads.org/
Source0:	https://ftp.eggheads.org/pub/%{name}/source/1.10/%{name}-%{version}.tar.gz
Patch0:		1ad1eaf0c6047c70f09418b440b947c5e4f12f6f.patch
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	perl
BuildRequires:	pkgconfig(openssl)

%description
Eggdrop is an IRC bot, written in C.  If you don't know what IRC is,
this is probably not whatever you're looking for!  Eggdrop, being a
bot, sits on a channel and takes protective measures: to keep the
channel from being taken over (in the few ways that anything CAN),
to recognize banished users or sites and reject them, to recognize
privileged users and let them gain ops, etc.

%prep
%autosetup -p1

%build
export CPPFLAGS="%{optflags} -DHAVE_TCL_THREADS -std=gnu17"
#any optimizations on PPC break bots
%ifnarch ppc
export CFLAGS="%optflags -std=gnu17"
%endif
%configure

make config

%make_build LD="gcc %ldflags" \
	SHLIB_LD="gcc -shared -nostartfiles %ldflags" \
	MOD_LD="gcc %ldflags"

%install
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}

make install prefix=%{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/%{name}/doc/man1/ %{buildroot}%{_mandir}

#rpm installation complains otherwise due to rpm looking up the executables..
perl -pi -e s":/path/to/executable/%{name}:%{_libdir}/%{name}/%{name}:" %{_builddir}/%{name}-%{version}/%{name}.conf
cp -fR %{_builddir}/%{name}-%{version}/%{name}.conf %{buildroot}%{_docdir}/%{name}-%{version}/
cp -Rf %{_builddir}/%{name}-%{version}/scripts/botchk %{buildroot}%{_docdir}/%{name}-%{version}/

rm -rf %{buildroot}%{_libdir}/%{name}/filesys
cp -Rf %{buildroot}%{_libdir}/%{name}/doc/* %{buildroot}%{_docdir}/%{name}-%{version}/
rm -rf %{buildroot}%{_libdir}/%{name}/doc/
mv %{buildroot}%{_libdir}/%{name}/README %{buildroot}%{_libdir}/%{name}/FEATURES %{buildroot}%{_docdir}/%{name}-%{version}/

%files
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/language
%dir %{_libdir}/%{name}/modules-%{version}
%dir %{_libdir}/%{name}/help
%dir %{_libdir}/%{name}/help/msg
%dir %{_libdir}/%{name}/help/set
%dir %{_libdir}/%{name}/scripts
%dir %{_libdir}/%{name}/logs
%dir %{_libdir}/%{name}/text
%{_libdir}/%{name}/language/*.lang
%{_libdir}/%{name}/text/*
%{_libdir}/%{name}/logs/*
%{_libdir}/%{name}/modules-%{version}/*.so
%{_libdir}/%{name}/%{name}-%{version}
%{_libdir}/%{name}/%{name}
%{_libdir}/%{name}/help/*.help
%{_libdir}/%{name}/help/msg/*.help
%{_libdir}/%{name}/help/set/*.help
%{_libdir}/%{name}/scripts/CONTENTS
%{_libdir}/%{name}/scripts/*.tcl
%{_libdir}/%{name}/scripts/botchk
%{_libdir}/%{name}/scripts/autobotchk
%{_libdir}/%{name}/scripts/weed
%{_libdir}/%{name}/%{name}.conf
%{_libdir}/%{name}/%{name}-basic.conf
%{_mandir}/man1/%{name}.1*

%doc %{_docdir}/*
%doc %{_libdir}/%{name}/modules
%license COPYING


%changelog
* Tue May 13 2025 ns80 <ns80> 1.10.0-2.mga10
+ Revision: 2183112
- add upstream patch to try to fix building with GCC 15

* Sun Mar 23 2025 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 2169138
- new version: 1.10.0

* Mon Apr 03 2023 solbu <solbu> 1.9.5-1.mga9
+ Revision: 1951280
- New release: 1.9.5

* Wed Dec 14 2022 solbu <solbu> 1.9.4-1.mga9
+ Revision: 1921940
- New release: 1.9.4

* Thu Sep 22 2022 solbu <solbu> 1.9.3-1.mga9
+ Revision: 1891358
- New release: 1.9.3

* Thu Mar 17 2022 umeabot <umeabot> 1.9.1-3.mga9
+ Revision: 1796487
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.9.1-2.mga9
+ Revision: 1747417
- rebuild for openssl 3.0.0

* Tue Jun 01 2021 solbu <solbu> 1.9.1-1.mga9
+ Revision: 1729177
- New release: 1.9.1

* Sun Mar 28 2021 solbu <solbu> 1.9.0-1.mga9
+ Revision: 1711357
- New release: 1.9.0

* Tue Jun 30 2020 joequant <joequant> 1.8.4-3.mga8
+ Revision: 1600659
- remove arm workaround

* Fri Feb 14 2020 umeabot <umeabot> 1.8.4-2.mga8
+ Revision: 1521781
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 01 2019 solbu <solbu> 1.8.4-1.mga7
+ Revision: 1348322
- New version: 1.8.4

* Sun Sep 23 2018 umeabot <umeabot> 1.8.3-3.mga7
+ Revision: 1297578
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 1.8.3-2.mga7
+ Revision: 1234860
- fix build on aarch64

* Wed Mar 07 2018 solbu <solbu> 1.8.3-1.mga7
+ Revision: 1207050
- New release: 1.8.3

* Thu Aug 24 2017 solbu <solbu> 1.8.2-1.mga7
+ Revision: 1147614
- New version: 1.8.2

* Mon Jan 02 2017 solbu <solbu> 1.8.0-1.mga6
+ Revision: 1079757
- New version: 1.8.0
- Clean up specfile

* Thu Feb 11 2016 umeabot <umeabot> 1.6.21-7.mga6
+ Revision: 953828
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 1.6.21-6.mga6
+ Revision: 886391
- add patch from Fedora to fix build with gcc5
- rebuild for new tcl 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 1.6.21-5.mga5
+ Revision: 748557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.21-4.mga5
+ Revision: 678972
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.21-3.mga4
+ Revision: 504088
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6.21-2.mga3
+ Revision: 349539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 nanardon <nanardon> 1.6.21-1.mga3
+ Revision: 283077
- 1.6.21
+ kharec <kharec>
- imported package eggdrop


* Tue Oct 05 2010 Funda Wang <fwang@mandriva.org> 1.6.20-1mdv2011.0
+ Revision: 583056
- New version 1.6.20

  + Oden Eriksson <oeriksson@mandriva.com>
    - revert as CVE-2009-1789 was fixed in the eggdrop1.6.19+ctcpfix.patch patch
    - P1: security fix for CVE-2009-1789

* Wed May 20 2009 Funda Wang <fwang@mandriva.org> 1.6.19-4mdv2010.0
+ Revision: 377930
- add patches

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.19-3mdv2009.1
+ Revision: 311127
- rebuild for new tcl
- add tcl86.patch (kludge build for Tcl 8.6)

* Mon Jun 16 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6.19-2mdv2009.0
+ Revision: 220395
- be sure to activate threaded tcl support, otherwise eggdrop will fail to fork
  in background (workaround for actual problem in tcl that prevents test from
  succeed, should rather be fixed properly in tcl, but no time for me today at
  least..)

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.6.19-1mdv2009.0
+ Revision: 200042
- New version 1.6.19

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.6.18-5mdv2008.1
+ Revision: 170809
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.6.18-4mdv2008.1
+ Revision: 149691
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.6.18-3mdv2008.0
+ Revision: 82011
- rebuild for new soname of tcl

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.6.18-2mdv2008.0
+ Revision: 81293
- use Fedora license policy
- add patch1 (SECURITY FIX for overflow issue: CVE-2007-2807)

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.6.18-1mdv2008.0
+ Revision: 18871
- 1.6.18 (rebuild for new era)
- drop patch0 (no longer needed), rename patch1 as patch0


* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.6.17-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.6.17-2mdk
- Rebuild

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.17-1mdk
- 1.6.17
- regenerate P0 & P1

* Sun Jul 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.16-1mdk
- 1.6.16
- regenerate P0
- drop useless prefix
- cosmetics

* Wed Oct 08 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.15-3mdk
- lib64 & some 64-bit fixes

* Mon Aug 11 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.15-2mdk
- from Pekka Savola <pekkas@netcore.fi>:
	o fix eggdrop.conf run-path so installing the RPM works
	o also install the eggdrop symlink, not just the version-specific binary
	o use make not %%make to enable build on Red Hat Linux. (peroyvind: it doesn't
	  support parallell make anyways)

* Fri May 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6.15-1mdk
- version 1.6.15
- rm -rf $RPM_BUILD_ROOT in correct stage
- actually use optimize flags
- configure with libdir
- minor cleanups

* Mon Feb 03 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.6.13-2mdk
- change url

* Mon Jan 13 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.6.13-1mdk
- version 1.6.13

* Wed Jul 24 2002 damien <dchaumette@mandrakesoft.com> 1.6.10-1mdk
- version 1.6.10
- remove tcl/tk version checking

* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.6-5mdk
- Don't make eggdrop require on a versionless tcl.
- Don't run aclocal and autoconf (normally required for a patch to
  configure), because it seems broke. The patch itself contains both
  patches to aclocal.m4 and configure.

* Wed Oct 31 2001 Stew Benedict <sbenediict@mandrakesoft.com> 1.6.6-4mdk
- no optimizations for PPC build, else broken bots

* Tue Oct 30 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.6.6-3mdk
- clean spec file removed useless ./configure

* Thu Oct 25 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.6.6-2mdk
- Rebuild for rpmlint.

* Thu Aug 30 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.6-1mdk
- 1.6.6

* Fri Apr 27 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.4-1mdk
- 1.6.4
- removed now useless patch

* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.2-3mdk
- updated to new version + patch

* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.1-2mdk
- bz2'ed man page

* Fri Nov 24 2000 Geoffrey Lee <sniltalk@mandrakesoft.com> 1.6.1-1mdk
- new and shiny source.
- fix the build for the new version.
- short_circuit_me_babe.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.4-2mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-1mdk
- Release 1.4.4
- clean spec

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-2mdk
- BM + macroszification

* Wed Apr 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.4.3-1mdk
- big release 1.3.23 -> 1.4.3
- many bug fixes 
- cleanup spec

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.23-5mdk
- fix group.
- spec cleanup.
- SMP build/check

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Forgot defattr

* Tue Nov 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update bzip and SMP build macros
- Add botchk to docs

* Sat Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add default langfile patch 
- Added a few posible optimizations i missed

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Initial rpm

